DVHeartbeat (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class DVHeartbeat

- java.lang.Object
- - siena.DVHeartbeat

- All Implemented Interfaces:
    java.lang.Runnable

      public class DVHeartbeat
      extends java.lang.Object
      implements java.lang.Runnable

  implementation of a heartbeat thread for queuing distance vector messages to neighbor nodes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `chokePeriod`
    `static byte` | `CLEANUP`
    `static int` | `DEFAULT_CHOKE_PERIOD`
    `static int` | `DEFAULT_NUM_CYCLES`
    `static byte` | `DV`
    `long` | `filterSeqNo`
    `protected boolean` | `keepRunning`
    `protected java.lang.Thread` | `localThread`
    `static int` | `MAX_PREDICATES_PER_PAD`
    `static byte` | `MULTICAST`
    `static byte` | `PAD`
    `protected siena.TaskQueue` | `queue`
    `static byte` | `UDV`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVHeartbeat(DVDRPDispatcher server)`
    `DVHeartbeat(DVDRPDispatcher server, int chokePeriod)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Init discovers what listener the server is using.
    `void` | `queueUpdate(byte method)`
    `void` | `run()`
    `void` | `startHeartbeat()`
    `void` | `stopHeartbeat()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_NUM_CYCLES

          public static int DEFAULT_NUM_CYCLES

    - #### DEFAULT_CHOKE_PERIOD

          public static int DEFAULT_CHOKE_PERIOD

    - #### chokePeriod

          protected int chokePeriod

    - #### DV

          public static final byte DV

      See Also:
        Constant Field Values

    - #### CLEANUP

          public static final byte CLEANUP

      See Also:
        Constant Field Values

    - #### UDV

          public static final byte UDV

      See Also:
        Constant Field Values

    - #### PAD

          public static final byte PAD

      See Also:
        Constant Field Values

    - #### MULTICAST

          public static final byte MULTICAST

      See Also:
        Constant Field Values

    - #### MAX_PREDICATES_PER_PAD

          public static int MAX_PREDICATES_PER_PAD

    - #### keepRunning

          protected volatile boolean keepRunning

    - #### localThread

          protected java.lang.Thread localThread

    - #### queue

          protected siena.TaskQueue queue

    - #### filterSeqNo

          public long filterSeqNo

  - ### Constructor Detail

    - #### DVHeartbeat

          public DVHeartbeat(DVDRPDispatcher server,
                     int chokePeriod)

    - #### DVHeartbeat

          public DVHeartbeat(DVDRPDispatcher server)

  - ### Method Detail

    - #### startHeartbeat

          public void startHeartbeat()

    - #### stopHeartbeat

          public void stopHeartbeat()

    - #### init

          public void init()

      Init discovers what listener the server is using. This is used to decide the tasks that are going to be performed

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### queueUpdate

          public void queueUpdate(byte method)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga